New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Linux - CURL_OPENSSL_4 not found #531

Open
belfour opened this Issue Jan 6, 2019 · 1 comment

Comments

Projects
None yet
2 participants
@belfour
Copy link

belfour commented Jan 6, 2019

Hi,

Fresh install of Linux Mint 19.1, tried Bionic version 2.5 and 2.51 and receive the following error. Installing
attract: /usr/lib/x86_64-linux-gnu/libcurl.so.4: version CURL_OPENSSL_4' not found (required by attract)
`
Running apt-get install libcurl4 uninstalls Attract and visa versa.

@mickelson

This comment has been minimized.

Copy link
Owner

mickelson commented Jan 15, 2019

This is one where I could really use the help of someone who knows a bit about ubuntu packaging.

The pre built linux packages are built using pacur: https://github.com/pacur/pacur

The config: https://github.com/mickelson/attract/blob/master/util/linux/pacur/PKGBUILD

When the bionic package is built, it looks like the "libcurl4-openssl-dev" is the package that is being used to compile against. There are a couple of different options for libcurl dev packages, and maybe this isn't the right one to use?

Th

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment